À propos des correctifs de sécurité d’OS X Server 3.0

Consultez cet article pour en savoir plus sur les correctifs de sécurité d’OS X Server 3.0.

Ce document présente les correctifs de sécurité d’OS X Server 3.0.

Dans un souci de protection de ses clients, Apple s’interdit de divulguer, d’aborder ou de confirmer l’existence de failles de sécurité tant qu’une enquête approfondie n’a pas été effectuée et que des correctifs ou mises à jour ne sont pas disponibles. Pour obtenir des informations supplémentaires sur la sécurité produit d’Apple, consultez le site Web Sécurité produit d’Apple.

Pour en savoir plus sur la clé PGP de sécurité produit d’Apple, consultez l’article Comment utiliser la clé PGP du groupe de sécurité produit d’Apple.

Des références CVE sont utilisées, le cas échéant, pour répertorier les vulnérabilités et fournir des informations supplémentaires.

Pour obtenir des informations supplémentaires sur les autres mises à jour de sécurité, consultez l’article Mises à jour de sécurité Apple.

OS X Server 3.0

  • Gestionnaire de profils

    Disponible pour : OS X Mavericks 10.9 ou version ultérieure

    Conséquence : un attaquant distant peut être à l’origine d’un déni de service

    Description : le gem JSON contenu dans Ruby provoquait une allocation permanente de mémoire lors de l’analyse de certaines structures dans sa saisie. Un attaquant pouvait exploiter cette faille afin d’utiliser toute la mémoire disponible et provoquer ainsi un refus de service. Ce problème a été résolu par une validation supplémentaire des données JSON.

    Référence CVE

    CVE-2013-0269

  • Gestionnaire de profils

    Disponible pour : OS X Mavericks 10.9 ou version ultérieure

    Conséquence : plusieurs problèmes affectaient Ruby on Rails

    Description : de nombreux problèmes affectaient Ruby on Rails, le plus grave pouvant provoquer un scriptage intersite. Ces problèmes ont été résolus par la mise à jour vers la version 2.3.18 de l’implémentation Rails utilisée par le gestionnaire de profil.

    Référence CVE

    CVE-2013-1854

    CVE-2013-1855

    CVE-2013-1856

    CVE-2013-1857

  • FreeRADIUS

    Disponible pour : OS X Mavericks 10.9 ou version ultérieure

    Conséquence : un attaquant distant peut provoquer un déni de service ou l’exécution arbitraire de code

    Description : lors de l’utilisation des méthodes EAP/TLS, l’analyse de la valeur d’horodatage « not after » d’un certificat client provoquait un dépassement de la mémoire tampon au niveau du serveur FreeRADIUS. Ce problème a été résolu par la mise à jour de FreeRADIUS vers la version 2.2.0.

    Référence CVE

    CVE-2012-3547

  • Application Serveur

    Disponible pour : OS X Mavericks 10.9 ou version ultérieure

    Conséquence : le serveur peut utiliser un certificat de remplacement au cours de l’authentification

    Description : du fait de l’existence d’une erreur logique, le service RADIUS pouvait choisir un certificat incorrect dans la liste des certificats configurés. Ce problème a été résolu par l’utilisation du même certificat que celui utilisé par d’autres services.

    Référence CVE

    CVE-2013-5143 : Arek Dreyer de Dreyer Network Consultants, Inc.

Les informations se rapportant à des produits non fabriqués par Apple, ou à des sites Web indépendants qui ne sont ni contrôlés ni testés par Apple, sont fournies uniquement à titre indicatif et ne constituent aucune recommandation. Apple ne saurait être tenu pour responsable de tout problème lié à l’utilisation de tels sites ou produits tiers, ou à leurs performances. Apple ne garantit en aucune façon la fiabilité d’un site Web, ou l’exactitude des informations que ce dernier propose. L’utilisation d’Internet induit en effet des risques. Contactez le fournisseur pour obtenir des informations supplémentaires. Les autres noms de société et de produit peuvent constituer des marques déposées de leurs détenteurs respectifs.

Date de publication: